/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_InternalUtil
#define STAF_InternalUtil

#ifdef __cplusplus

#include "STAFString.h"

inline STAFString getExceptionString(STAFException &e,
                                     const char *caughtWhere = 0)
{
    STAFString result;

    if (caughtWhere)
    {
        result += STAFString("In ") + caughtWhere + kUTF8_SCOLON;
    }

    result += STAFString("Name: ") + e.getName() + kUTF8_SCOLON;
    result += STAFString("Location: ") + e.getLocation() + kUTF8_SCOLON;
    result += STAFString("Text: ") + e.getText() + kUTF8_SCOLON;
    result += STAFString("Error code: ") + e.getErrorCode() + kUTF8_SCOLON;

    return result;
}

#endif

#endif
